<?php
// -------------------------------------------
// kirby snippet FOR GENERAL

// copyright: Jannik Beyerstedt | https://jannikbeyerstedt.de
// license: http://www.gnu.org/licenses/gpl-3.0.txt GPLv3 License
// -------------------------------------------
?>

<!-- Bootstrap core JavaScript-->
<?php echo js('assets/vendors/jquery-2.2.2.min.js') ?>
<?php
echo js('assets/vendors/bootstrap/js/dist/util.js');
echo js('assets/vendors/bootstrap/js/dist/collapse.js');
echo js('assets/vendors/bootstrap/js/dist/carousel.js');
?>

<?php if (c::get('navbar-affix')) : ?>
  <script>
    $('.navbar-wrapper').affix({
          offset: {
            top: $('header').height()
          }
    });
  </script>
<?php endif; ?>

<?php if (c::get('plg_masonry.enable')) {
  echo js('assets/vendors/masonry/dist/masonry.pkgd.min.js');
}?>

<?php if (c::get('plg_masonry.lightbox')=='swipebox') {
  echo js('assets/vendors/swipebox/src/js/jquery.swipebox.min.js');
}?>

<?php if ((c::get('plg_masonry.lightbox')=='swipebox')) : ?>
  <script type="text/javascript">
  $(document).ready(function () {
    $('.swipebox' ).swipebox();
  });
  </script>
<?php endif; ?>

<?php if (c::get('plg_masonry.enable')) : ?>
  <script type="text/javascript">
    $('#masonry').masonry({
      isFitWidth: true,
      columnWidth: <?php echo c::get('plg_masonry.width') ?>,
      gutter: 10,
      itemSelector: '.masonryitem'
    });
  </script>
<?php endif; ?>

<?php echo piwik(); ?>

</body>
</html>
